:root{
    --card-width-lg:157px;
    --card-height-lg:220px;

    --card-width-sm:120px;
    --card-height-sm:168px;

    --num-cards:4;

    --card-horizontal-space-lg: 100px;
    --card-horizontal-space-sm: 50px;

    --badge-bg-color:darkgrey;
    --primary-color: black;
    --secondary-color: #ffffff;

    --primary-font: 'Quicksand', sans-serif;
}
body{
    height:100vh;
    font-family: var(--primary-font);
}

.homelink h1{
  a{color:black;
  text-decoration: none;}
}

main{
    height: 55%;
    display: flex;
    justify-content: center;
    border: 1px solid black;

}

.card-container{
    position: relative;
    height:100%;
    width:calc(var(--card-width-lg) * (var(--num-cards) / 2) + var(--card-horizontal-space-lg));
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas: "a b"
                         "c d";

}

.card-pos-a{
    grid-area: a;
    background-color: gray;
    border: 1px solid black;
}
.card-pos-b{
    grid-area: b;
    background-color: goldenrod;
    border: 1px solid black;

}
.card-pos-c{
    grid-area: c;
    background-color: rosybrown;
    border: 1px solid black;

}
.card-pos-d{
    grid-area: d;
    background-color: darkcyan;
    border: 1px solid black;

}
.card-pos-a, .card-pos-b,.card-pos-c,.card-pos-d{
    display:flex;
    justify-content: center;
    align-items: center;
}

.card{
    position:absolute;
    height:var(--card-height-lg);
    width:var(--card-width-lg);
    perspective: 1000px;
    cursor: pointer;
    transition: transform 0.6s ease-in-out
}
.card-inner{
    position: relative;
    width:100%;
    height:100%;
    text-align: center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
}
.card-front, .card-back{
    position:absolute;
    width:100%;
    height:100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}
.card-img{
    height:100%;
}
.card-back{
    transform: rotateY(180deg);
}
.card-inner.flip-it{
    transform: rotateY(180deg);
}
header{
    display: flex;
    flex-direction: column;
    margin-bottom:10px;
}
.header-title-container{
    display: flex;
    justify-content: center;
}
.header-round-info-container{
    display: flex;
    justify-content: space-evenly;
}
.current-status{
    font-size:1.5rem;
    text-align: center;
}


.header-status-info-container,
.header-button-container,
.header-score-container,
.header-round-container,
.header-img-container{
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-score-container,
.header-round-container,
.header-img-container
{
    width: 150px;
}
.header-img{
    height: 75px;
    border-radius: 5px;
    border: 1px solid black;
    padding: 5px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transform: rotate(-3deg);
}
.badge{
    background-color: var(--badge-bg-color);
    color: var(--secondary-color);
    padding: 2px 10px 3px;
    border-radius: 15px;
}
.game-play-button-container{
    width:150px;
    height:70px;
}

/* CSS */